/* GUI_RemoteControl.h

 * Copyright (C) 2011-2017 Lucio Carreras  
 *
 * This file is part of sayonara-player
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * created by Lucio Carreras, 
 * Sep 3, 2012 
 *
 */

#ifndef GUISOCKETSETUP_H_
#define GUISOCKETSETUP_H_

#include "Interfaces/PreferenceDialog/PreferenceWidgetInterface.h"

namespace Ui
{
	class GUI_RemoteControl;
}

class GUI_RemoteControl :
		public PreferenceWidgetInterface
{
	Q_OBJECT

public:
	explicit GUI_RemoteControl(QWidget* parent=nullptr);
	~GUI_RemoteControl();

	void commit() override;
	void revert() override;

	QString get_action_name() const override;


protected:
	void init_ui() override;
	void retranslate_ui() override;


private slots:
	void active_toggled(bool b);
	void port_changed(int port);


private:
	Ui::GUI_RemoteControl*	ui=nullptr;

	QString get_url_string();
	void refresh_url();
};

#endif /* GUISOCKETSETUP_H_ */
